%define fname Mail-SpamAssassin
%define _without_test 1
# normal method nukes on errors :(
%define _perl_req_method relaxed

Name: spamassassin
Version: 3.0.0
Release: alt1.pre3

Summary: Spam filter for email written in perl

Group: Networking/Mail
License: Apache Software License
URL: http://www.spamassassin.org/
Source0: http://www.spamassassin.org/released/%fname-%version-pre3.tar.bz2
Source1: spamd.init
Source2: spamassassin_local.cf
Source3: spamd.sysconfig

# Automatically added by buildreq on Fri Jul 16 2004
BuildRequires: libssl-devel perl-DBI perl-DBM perl-Digest-SHA1 perl-HTML-Parser perl-Net-DNS perl-devel

Requires: perl-Net-DNS
Requires: perl-Mail-SpamAssassin >= %version
Requires: perl-Digest-SHA1

%description
SpamAssassin provides you with a way to reduce if not completely
eliminate Unsolicited Commercial Email (SPAM) from your incoming
email. It can be invoked by a MTA such as exim or postfix, or can
be called from a procmail script, .forward file, etc. It uses a
genetic-algorithm evolved scoring system to identify messages which
look spammy, then adds headers to the message so they can be filtered
by the user's mail reading software. This distribution includes the
spamd/spamc components which create a server that considerably speeds
processing of mail.

%package spamd
Summary: spamd - daemonized version of spamassassin
Group: Networking/Mail

%description spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%package spamc
Summary: spamc - client for spamd
Group: Networking/Mail
Requires: spamassassin-spamd = %{version}

%description spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%package -n perl-Mail-SpamAssassin
Summary: Mail::SpamAssassin - SpamAssassin e-mail filter libraries
Group: Development/Perl
Requires: perl-HTML-Parser

%description -n perl-Mail-SpamAssassin
Mail::SpamAssassin is a Mail::Audit plugin to identify spam using text
analysis and several internet-based realtime blacklists. Using its
rule base, it uses a wide range of heuristic tests on mail headers and
body text to identify ``spam'', also known as unsolicited commercial
email. Once identified, the mail can then be optionally tagged as spam
for later filtering using the user's own mail user-agent application.

%prep
%setup -q -n %fname-%version

%build
%perl_vendor_build

%install
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sysconfdir}/mail/spamassassin}
install -d $RPM_BUILD_ROOT/var/spool/spamassassin

%perl_vendor_install SYSCONFDIR=$RPM_BUILD_ROOT%_sysconfdir\
 B_CONFDIR=$RPM_BUILD_ROOT/etc/mail/spamassassin\
 B_DATADIR=$RPM_BUILD_ROOT%_datadir/spamassassin install

find $RPM_BUILD_ROOT -name .svn -exec rm -rf {} \;

# enforce sane permissions
#chmod 644 $RPM_BUILD_ROOT/%perl_vendor_privlib/Mail/SpamAssassin/*

install -m755 %SOURCE1 $RPM_BUILD_ROOT/%_initrddir/spamd
install -m644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/mail/spamassassin/local.cf
install -m644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/spamd

# remove unpackaged files
rm -f $RPM_BUILD_ROOT/{.perl.req,usr/lib/perl5/i386-linux/perllocal.pod}

%post spamd
%post_service spamd

%preun spamd
%preun_service spamd

%files
%doc BUGS COPYRIGHT CREDITS INSTALL README TRADEMARK USAGE procmailrc.example
%doc sql tools ldap
%_bindir/sa-learn
%_bindir/spamassassin
%_mandir/man1/sa-learn*
%_mandir/man1/spamassassin*
%dir %attr(0775,root,mail) /var/spool/spamassassin

%files spamd
%doc spamd/README*
%config(noreplace) %_initrddir/spamd
%config(noreplace) /etc/sysconfig/spamd
%_bindir/spamd
%_mandir/man1/spamd*

%files spamc
%_bindir/spamc
%_mandir/man1/spamc*

%files -n perl-Mail-SpamAssassin
%doc sample-nonspam.txt sample-spam.txt
%dir %_sysconfdir/mail/spamassassin
%config(noreplace) %{_sysconfdir}/mail/spamassassin/*
%dir %_datadir/spamassassin
%config(noreplace) %_datadir/spamassassin/*
%perl_vendor_privlib/Mail
%_mandir/man3/*

%changelog
* Tue Aug 03 2004 Victor Forsyuk <force@altlinux.ru> 3.0.0-alt1.pre3
- 3.0.0-pre3.

* Thu Jan 22 2004 Victor Forsyuk <force@altlinux.ru> 2.63-alt1
- New version.
- Increase start priority to get spamd running before MTA starts.
- Enable network checks by default in local.cf.
- User need to be in group 'mail' to be able to train bayes database.

* Mon Jan 19 2004 Victor Forsyuk <force@altlinux.ru> 2.62-alt1
- New version.
- Package sql/ and tools/ (as %%doc files).

* Thu Dec 11 2003 Victor Forsyuk <force@altlinux.ru> 2.61-alt1
- Added spool directory (used for site-wide bayes databases and
  auto-whitelisting).
- Activate site-wide bayes in local.cf.
- Remove options for auto-whitelisting and creating user
  preferences files from default spamd sysconfig.

* Wed Oct 15 2003 Victor Forsyuk <force@altlinux.ru> 2.60-alt1
- local.cf tuning

* Mon Sep 29 2003 Victor Forsyuk <force@altlinux.ru> 2.60-alt0
- Initial build for Sisyphus.
